/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Ajuste;
import com.cosmodas.EntCosmos.DetalleAjuste;
import com.cosmodas.EntCosmos.VAutoAjuste;

import java.util.ArrayList;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * @author obper
 */
@Stateless
public class daoAutoAjuste implements daoAutoAjusteLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    EntityManager em;


    @Override
    public List<DetalleAjuste> salidas(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.salidas");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<DetalleAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public List<DetalleAjuste> entradas(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.entradas");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<DetalleAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public List<VAutoAjuste> Vsalidas(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.salidas");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<VAutoAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public List<VAutoAjuste> Ventradas(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.entradas");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<VAutoAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public void addDetalleAjuste(DetalleAjuste detalleAjuste) {
        em.persist(detalleAjuste);
    }

    @Override
    public List<VAutoAjuste> All(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.ajustes");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<VAutoAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public List<DetalleAjuste> allD(String sucursalCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("VAutoAjuste.ajustes");
        Consulta.setParameter("sucursalCodigo", sucursalCodigo);
        List<DetalleAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public List<DetalleAjuste> detalleSalida(String ajusteCodigo) {
        javax.persistence.Query Consulta = em.createNamedQuery("DetalleAjuste.findByAjusteCodigo");
        Consulta.setParameter("ajusteCodigo", ajusteCodigo);
        List<DetalleAjuste> listas;
        listas = Consulta.getResultList();
        return listas;
    }

    @Override
    public Ajuste obtenerAjustes(String codAjuste) {
        javax.persistence.Query Consulta = em.createNamedQuery("Ajuste.findByAjusteCodigo");
        Consulta.setParameter("ajusteCodigo", codAjuste);
        List<Ajuste> listas = new ArrayList<>();
        listas = Consulta.getResultList();
        return listas.get(0);
    }


}
